package com.example.pencilmuse.domain.utils

import androidx.compose.material.icons.Icons
import androidx.compose.ui.res.painterResource
import com.example.pencilmuse.R
import com.example.pencilmuse.models.BottomNavItem
import io.github.jan.supabase.auth.Auth

import io.github.jan.supabase.createSupabaseClient

import io.github.jan.supabase.postgrest.Postgrest
import io.github.jan.supabase.storage.Storage

object Constants {
    val supabase = createSupabaseClient(
        supabaseUrl = "https://qlkceifacpkobifndyjj.supabase.co",
        supabaseKey = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6InFsa2NlaWZhY3Brb2JpZm5keWpqIiwicm9sZSI6ImFub24iLCJpYXQiOjE3Mjk3MDAyNDAsImV4cCI6MjA0NTI3NjI0MH0.Rb_x14j5evTVGMtEUHW52VVD-ZQgeQMpvMWL_wDMvmM"
    ) {
        install(Auth)
        install(Postgrest)
        install(Storage)
    }

    val BottomNavItems = listOf(
        BottomNavItem(
            label = "Главная",
            icon = R.drawable.home,
            route = "home"
        ),
        BottomNavItem(
            label = "Каталоги",
            icon =  R.drawable.catalog,
            route = "catalog"
        ),
        BottomNavItem(
            label = "Заметки",
            icon =  R.drawable.notes,
            route = "notes"
        )
    )


}